/* Reset default margin and padding */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Basic styling */
body {
    font-family: 'Arial', sans-serif;
    line-height: 1.6;
    background-color: #f4f4f4;
    color: #333;
}

/* Style the header */
.header {
    background-color: #557C55;
    color: #fff;
    padding: 1rem 0;
}

/* Style the navigation */
.nav {
    display: flex;
    justify-content: space-around;
    padding: 1rem;
}

.nav-list {
    list-style: none;
    display: flex;
    justify-content: space-between;
    margin: 0 auto;
    font-size: 1.3rem;
}

.nav-item {
    display: inline;
    padding: 0.5rem 4rem;
}

.nav-link {
    color: #fff;
    text-decoration: none;
    transition: color 0.3s ease, background-color 0.3s ease;
    position: relative;
    padding: 10px 20px; 
    border: 2px solid #fff; 
    border-radius: 0.3rem;
}

.nav-link:hover {
    color: #333; 
    background-color: #fff; 
}
/* Navigation End */

/* Product Section */
.products-section {
    text-align: center;
    padding: 2rem;
    background-color: #fff;
    margin: 2rem;
    border-radius: 0.5rem;
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.1);
}

.products-title {
    color: #333;
    font-size: 2.5rem;
    margin-bottom: 1rem;
}

.products-text {
    color: #666;
    font-size: 1.2rem;
    margin-bottom: 2rem;
}

h2{
    text-align: center;
    padding: 2rem;
    font-size: 2.5rem;
}

.featured-products {
    display: flex;
    justify-content: space-around;
    padding: 2rem;
}

.product-sec {
    padding: 3.75rem;
    background-color: #f6f6f6;
    border-radius: 0.5rem;
}

.container {
    /* width: 80%; */
    padding: 0;
    /* margin: 0 auto; */
    display: flex;
    flex-direction: column;
    align-items: center;
}

.common-section-label p {
    font-size: 1.5rem;
    letter-spacing: 0.25rem;
    text-transform: uppercase;
    text-align: center;
    margin-bottom: 3.75rem;
    color: #000000;
}

.flex-3 {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;     
    width: 100%;
}

.flex-3>* {
    flex: 0 0 calc(33.3333% - 1.6rem);
    -ms-flex: 0 0 calc(33.3333% - 1.6rem);
    max-width: calc(33.3333% - 1.6rem);
    margin: 0 0.5rem 1.6rem;
}

.image-item {
    position: relative;
    margin-bottom: 1.6rem;
    overflow: hidden;
}

.image-item img {
    transition: all 0.9s;
    width: 100%;
    display: block;
    transform: scale(1);
}

.image-item img:hover {
    transform: scale(1.2);
}

.image-item .image-details {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    text-align: center; 
    height: 4rem; 
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: linear-gradient(0deg, rgb(0 0 0), transparent);
}

.image-item .image-details h5 {
    max-width: 100%;
    font-size: 1.25rem;
    color: #ffffff;
}
/* Product End */

.footer {
    text-align: center;
    padding: 2rem;
    background-color: #557C55;
    color: #fff;
    font-size: 1.5rem;
    width: 100%;
}


/* Tablet View */
@media (max-width: 1000px) {

    h2 {
        font-size: 2rem;
        padding: 1rem;
    }

    .product-item {
        margin: 1rem 0.5rem;
    }

    .product-image {
        width: 100%;
    }

    .product-title {
        font-size: 1.2rem;
    }

    .product-price {
        font-size: 1rem;
    }

    .product-sec{
        padding: 0.75rem;
    
    }

    .image-item img {
        transform: scale(0.8);
    }
    
    .image-item img:hover {
        transform: scale(1);
    }


    .image-item .image-details {
        position:unset;
        text-align: center; 
        height: 1rem; 
        display: flex;
        justify-content: center;
        align-items: center;
        background-image: unset;
    }

    .image-item .image-details h5 {
        max-width: unset;
        font-size: 1rem;
        color: black;
    }


}

@media (max-width: 800px) {

    .image-item .image-details h5 {
        max-width: unset;
        font-size: 0.75rem;
        color: black;
    }
}



@media (max-width: 680px) {

    h2 {
        font-size: 1.8rem;
        padding: 0.5rem;
    }

    .products-section{
        padding: 1.5rem;
    }

    .product-item {
        margin: 0.5rem;
    }

    .product-title {
        font-size: 1rem;
    }

    .product-price {
        font-size: 0.9rem;
    }

    .image-item .image-details h5 {
        font-size: 0.8rem;
    }

    .flex-3>* {
        flex: 0 0 calc(50% - 1.6rem);
        -ms-flex: 0 0 calc(50% - 1.6rem);
        max-width: calc(50% - 1.6rem);
    }

    .featured-products {
        padding: 0rem;
    }

}


@media (max-width: 600px) {

    .nav {
        flex-direction: column;
        align-items: center;
    }

    .nav-list {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
        width: 100%;
        font-size: 1.1rem;
    }

    .nav-item {
        margin: 0.5rem 0;
    }


    h2 {
        font-size: 2rem;
        padding: 1rem;
    }

    .featured-products {
        flex-direction: column;
    }

    .product-item {
        margin: 1rem 0;
    }

    .product-image {
        width: 100%;
    }

    .product-title {
        font-size: 1.2rem;
    }

    .product-price {
        font-size: 1rem;
    }

    .flex-3>* {
        flex: 0 0 100%;
        -ms-flex: 0 0 100%;
        max-width: 100%;
    }

    .image-item .image-details h5 {
        max-width: unset;
        font-size: 1rem;
        color: black;
    }

    .footer {
        font-size: 1rem;
    }

}


/* Mobile View */
@media (max-width: 425px) {
    .nav {
        padding: 0.5rem;
    }

    .footer {
        font-size: 1.2rem;
        padding: 1.5rem;
    }
}